<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name') }}</title>
    <link rel="stylesheet" href="/css/site.min.css">
    @stack('css')
</head>
<body>
    <div id="app">

        @include('layouts.partials.site.topbar')
        
        <div class="container-fluid" style="margin-top: 60px;">
            <section class="content">
                @yield('content')
            </section>
        </div>

    </div>

    <script src="/js/site.min.js"></script>
    <script>
        $(function() {
            $.ajaxSetup({headers:{'X-CSRF-TOKEN':'{{ csrf_token() }}'}});
            bootbox.setLocale("{{ App::getLocale() }}");
            @if(Session::has('growl'))
                @if(is_array(Session::get('growl')))
                    growl("{!! Session::get('growl')[0] !!}", "{{ Session::get('growl')[1] }}");
                @else
                    growl("{{Session::get('growl')}}");
                @endif
            @endif
            $('.logout').click(function(e){
                e.preventDefault();
                if(bootbox.confirm("{{ __('boilerplate::layout.logoutconfirm') }}", function(e){
                    if(e === false) return;
                    $('#logout-form').submit();
                }));
            });
        });
    </script>
    @stack('js')

</body>
</html>
